Install the Dimensions CM for Eclipse integration

This topic provides guidelines for installing and upgrading the Dimensions CM for Eclipse integration.

Before you install

Before installing the integration, ensure that the following prerequisites are fulfilled:

  • Uninstall any previous versions of the Eclipse integration.

  • A supported version of Eclipse is installed on the client machine where you are going to install Dimensions CM for Eclipse. For supported versions, see the Support Matrix.

  • You can connect to at least one Dimensions CM server.

  • Your supported version of Eclipse runs on Java 6 or later.

Back to top

Upgrade Dimensions CM projects

If you are upgrading from versions of Dimensions CM 10.x, you do not need to perform any migration steps. But we recommend that you start fresh with all new local workspaces to ensure that your Dimensions CM metadata is current.

Back to top

Install the integration

You can install the Eclipse integration from an update site hosted by the Dimensions CM server. You can use the same method to install Appcelerator Titanium Studio into Eclipse.

You can also install Eclipse manually or silently.

For instructions, see the installation guide for your platform:

Back to top

See also: